Daemon Power

The NetBSD Packages Collection: multimedia/kmplayer

Brief description of the package:
KDE frontend to mplayer

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://kmplayer.kde.org/.

The package is located in the "multimedia/kmplayer" directory. The current source version of the package is "kmplayer-0.11.3dnb37". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for multimedia/kmplayer :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: mplayer>=1.0rc3 mplayer-share>=1.3.0 mplayer-fonts-[0-9]* cwrappers>=20150314 cdparanoia>=3.0 libdv>=0.102 popt>=1.7nb3 popt>=1.16nb1 libdvdread>=4.1.3nb1 libdvdnav>=4.1.3 esound>=0.2.18 libaudiofile>=0.2.1 libaudiofile>=0.3.3 faad2>=2.6.1 giflib>=5.1.0 jpeg>=8nb1 libmad>=0.15.0b nas>=1.4.2 x11-links>=1.04 osabi-NetBSD-7.0.1 png>=1.2.4 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 pulseaudio>=10.0 avahi>=0.6.23 gtk2+>=2.14.0 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.34.0 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.50.0 libffi>=3.0.0 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.6.0nb1 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 xextproto>=7.0 inputproto>=1.4 xproto>=7.0.9 Xrender>=0.8 renderproto>=0.9.3nb1 renderproto>=0.9 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.10.93nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 inputproto>=2.3 xextproto>=7.0.3 xproto>=7.0.13 libXi>=1.0.0 Xrandr>=0.99 randrproto>=1.2.0 randrproto>=1.0 Xrandr>=1.0.1 libXcomposite>=0.3.1 compositeproto>=0.4 compositeproto>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.10.91 glib2>=2.33.12 harfbuzz>=0.9.9 icu>=3.4 icu>=58.1 harfbuzz>=0.9.4 cairo>=1.12.10 MesaLib>=3.4.2 libXdamage>=1.0.3 damageproto>=1.1.0 libdrm>=2.4.60 libdrm>=2.4.15 libva>=1.0.6 libvdpau>=0.3 dri2proto>=2.0 libLLVM>=4.0 libLLVM>=3.8.0 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.12 xcb-proto>=1.4 py27-mako-[0-9]* py27-setuptools>=0.8 py27-appdirs-[0-9]* py27-packaging-[0-9]* py27-pyparsing-[0-9]* py27-six-[0-9]* dri2proto>=2.1 glproto>=1.4.11 glproto>=1.4.6 xf86driproto>=2.0.3 xf86vidmodeproto>=2.3 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.14.2nb1 glib2>=2.14.0 Xft2>=2.1.7nb6 harfbuzz>=1.4.2nb1 cairo-gobject>=1.14.2nb1 help2man-[0-9]* p5-gettext>=1.01 perl>=5.24.0 perl<5.26.0 pango>=1.6.0 cairo>=1.6.0 shared-mime-info>=1.0nb1 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.40.3nb2 gobject-introspection>=0.9.3 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 bash-[0-9]* libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.28nb2 gtk2+>=2.24.31nb2 libXtst>=1.0.1 recordproto>=1.13.99.1 recordproto>=1.13.1 xextproto>=7.0.99.3 consolekit>=0.3.0 polkit>=0.103 spidermonkey17>=17.0.0 nspr>=4.9.3.2 libxslt-[0-9]* dbus-glib>=0.61 glib2>=2.32 dbus>=1.8 dbus-glib>=0.100nb1 gdbus-codegen-[0-9]* libsndfile>=1.0.0 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libogg>=1.1.3 libvorbis>=1.0.1 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 libltdl>=2.4.2 avahi>=0.6.32nb5 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.10nb3 libltdl>=2.2.6 SDL>=1.2.5nb5 glu>=3.4.2 glu>=6.0 esound>=0.2.41nb1 nas>=1.7bnb2 glu>=7.11.2 yasm>=0.6.0 libtheora>=1.0alpha3 x264-devel>=20140303 yasm>=0.4.0 xvidcore>=1.0.0 libXScrnSaver>=1.1.2 scrnsaverproto>=1.2.0 scrnsaverproto>=1.1.0 libXv>=1.0.1 videoproto>=2.2.1 libXvMC>=1.0.2 ffmpeg3>=3.0 libass>=0.9.12 fribidi>=0.19.0 fribidi>=0.19.1 enca>=1.9 lame>=3.93.1nb2 x264-devel>=20111207 libvpx>=1.6.0 yasm-[0-9]* libass>=0.13.4nb2 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 yasm>=0.7.2 cdparanoia>=3.0.9.8nb5 libdv>=0.104nb2 libdvdnav>=5.0 libmad>=0.15.1bnb1 SDL>=1.2.15nb17 ffmpeg3>=3.2.2nb1 mencoder>=1.0rc3 hicolor-icon-theme>=0.4 qt4-libs>=4.4.0 qt4-libs>=4.6.1nb2 qt4-qdbus>=4.3.2 qt4-libs>=4.8.7 qt4-libs>=4.8.7nb1 xine-lib>=1rc3c ffmpeg2>=2.0 liba52>=0.7.4 mng>=1.0.0 lcms2>=2.2 libcdio>=0.75 libcddb>=0.9.4 libcddb>=0.9.5nb1 libcdio>=0.93 vcdimager>=0.7.20nb1 libcdio>=0.72 vcdimager>=0.7.20 ffmpeg2>=2.8.10nb1 liba52>=0.7.4nb3 mng>=2.0.2 vcdimager>=0.7.24nb2 kdelibs4>=4.0.0 docbook-xsl>=1.75 zonetab-[0-9]* qt4-tools>=4.4.0 libtool-base-[0-9]* qt4-tools>=4.1.0 strigi>=0.5.11 cppunit>=1.10.2 exiv2>=0.18 libclucene>=2.3.3.4 boost-libs-1.63.* boost-headers-1.63.* boost-jam-1.63.* boost-libs>=1.63.0 libclucene>=2.2.0 fam>=2.6.10 cppunit>=1.10.2nb5 exiv2>=0.24 libclucene>=2.3.3.4nb7 qt4-qdbus>=4.8.7nb1 fam>=2.7.0nb7 qt4-tools>=4.8.7nb1 strigi>=0.6.2 grantlee>=0.3.0 libdbusmenu-qt>=0.8.2 jasper>=1.600.0 openexr>=1.6.1 ilmbase>=1.0.2nb1 ilmbase>=1.0.1 ilmbase>=2.2.0nb1 attica>=0.1.2 phonon>=4.5.0 polkit-qt>=0.9.2 policykit>=0.9 policykit>=0.9nb12 automoc4>=0.9.87 qca2>=2.0.0 aspell>=0.50.3 ncurses>=5.3nb1 ncurses>=6.0 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.3.2 libXpm>=3.5.4.2 desktop-file-utils>=0.8 strigi>=0.7.8nb17 grantlee>=0.5.1nb2 libdbusmenu-qt>=0.9.3.15.10.20150604nb1 hicolor-icon-theme>=0.9nb1 jasper>=1.900.1nb7 openexr>=2.2.0nb3 attica>=0.4.2nb3 phonon>=4.8.3nb3 polkit-qt>=0.9.4nb19 qca2>=2.0.3nb20 aspell>=0.60.6nb3 enchant>=1.6.0nb5 desktop-file-utils>=0.10nb1 xine-lib>=1.2.6nb9 kdelibs4>=4.14.15nb4 .

This package requires the following package(s) to run: mplayer>=1.0rc3 mplayer-share>=1.3.0 mplayer-fonts-[0-9]* cdparanoia>=3.0 libdv>=0.102 popt>=1.7nb3 popt>=1.16nb1 libdvdread>=4.1.3nb1 libdvdnav>=4.1.3 esound>=0.2.18 libaudiofile>=0.2.1 libaudiofile>=0.3.3 faad2>=2.6.1 giflib>=5.1.0 jpeg>=8nb1 libmad>=0.15.0b nas>=1.4.2 png>=1.2.4 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 pulseaudio>=10.0 avahi>=0.6.23 gtk2+>=2.14.0 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.34.0 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.6.0nb1 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.10.93nb2 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.10.91 glib2>=2.33.12 harfbuzz>=0.9.9 icu>=3.4 icu>=58.1 harfbuzz>=0.9.4 cairo>=1.12.10 MesaLib>=3.4.2 libXdamage>=1.0.3 libdrm>=2.4.60 libdrm>=2.4.15 libva>=1.0.6 libvdpau>=0.3 libLLVM>=4.0 libLLVM>=3.8.0 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.14.2nb1 glib2>=2.14.0 Xft2>=2.1.7nb6 harfbuzz>=1.4.2nb1 cairo-gobject>=1.14.2nb1 pango>=1.6.0 cairo>=1.6.0 shared-mime-info>=1.0nb1 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.40.3nb2 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 dbus>=0.91 gtk2+>=2.24.31nb2 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey17>=17.0.0 nspr>=4.9.3.2 dbus-glib>=0.61 glib2>=2.32 dbus>=1.8 dbus-glib>=0.100nb1 libsndfile>=1.0.0 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libogg>=1.1.3 libvorbis>=1.0.1 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 readline>=2.2 readline>=6.0 libltdl>=2.4.2 avahi>=0.6.32nb5 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.10nb3 libltdl>=2.2.6 SDL>=1.2.5nb5 glu>=3.4.2 glu>=6.0 esound>=0.2.41nb1 nas>=1.7bnb2 glu>=7.11.2 libtheora>=1.0alpha3 x264-devel>=20140303 xvidcore>=1.0.0 libXScrnSaver>=1.1.2 libXv>=1.0.1 libXvMC>=1.0.2 ffmpeg3>=3.0 libass>=0.9.12 fribidi>=0.19.0 fribidi>=0.19.1 enca>=1.9 lame>=3.93.1nb2 x264-devel>=20111207 libvpx>=1.6.0 libass>=0.13.4nb2 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 cdparanoia>=3.0.9.8nb5 libdv>=0.104nb2 libdvdnav>=5.0 libmad>=0.15.1bnb1 SDL>=1.2.15nb17 ffmpeg3>=3.2.2nb1 mencoder>=1.0rc3 hicolor-icon-theme>=0.4 qt4-libs>=4.4.0 qt4-libs>=4.6.1nb2 qt4-qdbus>=4.3.2 qt4-libs>=4.8.7 qt4-libs>=4.8.7nb1 xine-lib>=1rc3c ffmpeg2>=2.0 liba52>=0.7.4 mng>=1.0.0 lcms2>=2.2 libcdio>=0.75 libcddb>=0.9.4 libcddb>=0.9.5nb1 libcdio>=0.93 vcdimager>=0.7.20nb1 libcdio>=0.72 vcdimager>=0.7.20 ffmpeg2>=2.8.10nb1 liba52>=0.7.4nb3 mng>=2.0.2 vcdimager>=0.7.24nb2 kdelibs4>=4.0.0 docbook-xml>=4.2 docbook-xsl>=1.75 zonetab-[0-9]* qt4-tools>=4.4.0 libtool-base-[0-9]* qt4-tools>=4.1.0 strigi>=0.5.11 cppunit>=1.10.2 exiv2>=0.18 libclucene>=2.3.3.4 boost-libs-1.63.* boost-libs>=1.63.0 libclucene>=2.2.0 fam>=2.6.10 cppunit>=1.10.2nb5 exiv2>=0.24 libclucene>=2.3.3.4nb7 qt4-qdbus>=4.8.7nb1 fam>=2.7.0nb7 strigi>=0.6.2 grantlee>=0.3.0 libdbusmenu-qt>=0.8.2 jasper>=1.600.0 openexr>=1.6.1 ilmbase>=1.0.2nb1 ilmbase>=1.0.1 ilmbase>=2.2.0nb1 attica>=0.1.2 phonon>=4.5.0 qt4-tools>=4.8.7nb1 polkit-qt>=0.9.2 policykit>=0.9 policykit>=0.9nb12 qca2>=2.0.0 aspell>=0.50.3 ncurses>=5.3nb1 ncurses>=6.0 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.3.2 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libXpm>=3.5.4.2 desktop-file-utils>=0.8 strigi>=0.7.8nb17 grantlee>=0.5.1nb2 libdbusmenu-qt>=0.9.3.15.10.20150604nb1 hicolor-icon-theme>=0.9nb1 jasper>=1.900.1nb7 openexr>=2.2.0nb3 attica>=0.4.2nb3 phonon>=4.8.3nb3 polkit-qt>=0.9.4nb19 qca2>=2.0.3nb20 aspell>=0.60.6nb3 enchant>=1.6.0nb5 libxslt>=1.1.28nb2 desktop-file-utils>=0.10nb1 xine-lib>=1.2.6nb9 kdelibs4>=4.14.15nb4 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
none

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]